
package com.ejie.ab61.clientesWS.X43SolicitudesYAportaciones;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TDocSupportType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TDocSupportType">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="PAPEL"/>
 *     &lt;enumeration value="PDF"/>
 *     &lt;enumeration value="PDF-A"/>
 *     &lt;enumeration value="MANUSCRITO"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TDocSupportType")
@XmlEnum
public enum TDocSupportType {

    PAPEL("PAPEL"),
    PDF("PDF"),
    @XmlEnumValue("PDF-A")
    PDF_A("PDF-A"),
    MANUSCRITO("MANUSCRITO");
    private final String value;

    TDocSupportType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TDocSupportType fromValue(String v) {
        for (TDocSupportType c: TDocSupportType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
